libetonyek::IWORKPresentationRedirector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKPresentationRedirector Class Reference

`#include <IWORKPresentationRedirector.h>`

Inheritance diagram for libetonyek::IWORKPresentationRedirector:

## Public Member Functions
| IWORKPresentationRedirector (librevenge::RVNGPresentationInterface *iface)
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) override
void | startDocument (const librevenge::RVNGPropertyList &propList) override
void | endDocument () override
void | definePageStyle (const librevenge::RVNGPropertyList &propList) override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) override
void | openPageSpan (const librevenge::RVNGPropertyList &propList) override
void | closePageSpan () override
void | startSlide (const librevenge::RVNGPropertyList &propList) override
void | endSlide () override
void | startMasterSlide (const librevenge::RVNGPropertyList &propList) override
void | endMasterSlide () override
void | setStyle (const librevenge::RVNGPropertyList &propList) override
void | startLayer (const librevenge::RVNGPropertyList &propList) override
void | endLayer () override
void | openHeader (const librevenge::RVNGPropertyList &propList) override
void | closeHeader () override
void | openFooter (const librevenge::RVNGPropertyList &propList) override
void | closeFooter () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &propList) override
void | closeLink () override
void | defineSectionStyle (const librevenge::RVNGPropertyList &propList) override
void | openSection (const librevenge::RVNGPropertyList &propList) override
void | closeSection () override
void | insertTab () override
void | insertSpace () override
void | insertText (const librevenge::RVNGString &text) override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &propList) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | openFootnote (const librevenge::RVNGPropertyList &propList) override
void | closeFootnote () override
void | openEndnote (const librevenge::RVNGPropertyList &propList) override
void | closeEndnote () override
void | openComment (const librevenge::RVNGPropertyList &propList) override
void | closeComment () override
void | openTextBox (const librevenge::RVNGPropertyList &propList) override
void | closeTextBox () override
void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList) override
void | openTable (const librevenge::RVNGPropertyList &propList) override
void | openTableRow (const librevenge::RVNGPropertyList &propList) override
void | closeTableRow () override
void | openTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTableCell () override
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTable () override
void | openFrame (const librevenge::RVNGPropertyList &propList) override
void | closeFrame () override
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList) override
void | insertEquation (const librevenge::RVNGPropertyList &propList) override
void | openGroup (const librevenge::RVNGPropertyList &propList) override
void | closeGroup () override
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList) override
void | drawRectangle (const librevenge::RVNGPropertyList &propList) override
void | drawEllipse (const librevenge::RVNGPropertyList &propList) override
void | drawPolygon (const librevenge::RVNGPropertyList &propList) override
void | drawPolyline (const librevenge::RVNGPropertyList &propList) override
void | drawPath (const librevenge::RVNGPropertyList &propList) override
void | drawGraphicObject (const librevenge::RVNGPropertyList &propList) override
void | drawConnector (const librevenge::RVNGPropertyList &propList) override
void | startTextObject (const librevenge::RVNGPropertyList &propList) override
void | endTextObject () override
void | startNotes (const librevenge::RVNGPropertyList &propList) override
void | endNotes () override
void | defineChartStyle (const librevenge::RVNGPropertyList &propList) override
void | openChart (const librevenge::RVNGPropertyList &propList) override
void | closeChart () override
void | openChartTextObject (const librevenge::RVNGPropertyList &propList) override
void | closeChartTextObject () override
void | openChartPlotArea (const librevenge::RVNGPropertyList &propList) override
void | closeChartPlotArea () override
void | insertChartAxis (const librevenge::RVNGPropertyList &propList) override
void | openChartSeries (const librevenge::RVNGPropertyList &propList) override
void | closeChartSeries () override
void | openAnimationSequence (const librevenge::RVNGPropertyList &propList) override
void | closeAnimationSequence () override
void | openAnimationGroup (const librevenge::RVNGPropertyList &propList) override
void | closeAnimationGroup () override
void | openAnimationIteration (const librevenge::RVNGPropertyList &propList) override
void | closeAnimationIteration () override
void | insertMotionAnimation (const librevenge::RVNGPropertyList &propList) override
void | insertColorAnimation (const librevenge::RVNGPropertyList &propList) override
void | insertAnimation (const librevenge::RVNGPropertyList &propList) override
void | insertEffect (const librevenge::RVNGPropertyList &propList) override
Public Member Functions inherited from libetonyek::IWORKDocumentInterface
virtual | ~IWORKDocumentInterface ()=0

## Private Member Functions
| IWORKPresentationRedirector (const IWORKPresentationRedirector &)
IWORKPresentationRedirector & | operator= (const IWORKPresentationRedirector &)

## Private Attributes
librevenge::RVNGPresentationInterface *const | m_iface

## Constructor & Destructor Documentation

## ◆ IWORKPresentationRedirector() [1/2]

libetonyek::IWORKPresentationRedirector::IWORKPresentationRedirector | ( | librevenge::RVNGPresentationInterface * | iface | ) |
| explicit

Referenced by IWORKPresentationRedirector(), and operator=().

## ◆ IWORKPresentationRedirector() [2/2]

libetonyek::IWORKPresentationRedirector::IWORKPresentationRedirector | ( | const IWORKPresentationRedirector & |  | ) |
| private

## Member Function Documentation

## ◆ closeAnimationGroup()

void libetonyek::IWORKPresentationRedirector::closeAnimationGroup | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeAnimationIteration()

void libetonyek::IWORKPresentationRedirector::closeAnimationIteration | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeAnimationSequence()

void libetonyek::IWORKPresentationRedirector::closeAnimationSequence | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChart()

void libetonyek::IWORKPresentationRedirector::closeChart | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChartPlotArea()

void libetonyek::IWORKPresentationRedirector::closeChartPlotArea | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChartSeries()

void libetonyek::IWORKPresentationRedirector::closeChartSeries | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeChartTextObject()

void libetonyek::IWORKPresentationRedirector::closeChartTextObject | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeComment()

void libetonyek::IWORKPresentationRedirector::closeComment | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeEndnote()

void libetonyek::IWORKPresentationRedirector::closeEndnote | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeFooter()

void libetonyek::IWORKPresentationRedirector::closeFooter | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeFootnote()

void libetonyek::IWORKPresentationRedirector::closeFootnote | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeFrame()

void libetonyek::IWORKPresentationRedirector::closeFrame | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeGroup()

void libetonyek::IWORKPresentationRedirector::closeGroup | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeHeader()

void libetonyek::IWORKPresentationRedirector::closeHeader | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeLink()

void libetonyek::IWORKPresentationRedirector::closeLink | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeListElement()

void libetonyek::IWORKPresentationRedirector::closeListElement | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeOrderedListLevel()

void libetonyek::IWORKPresentationRedirector::closeOrderedListLevel | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closePageSpan()

void libetonyek::IWORKPresentationRedirector::closePageSpan | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeParagraph()

void libetonyek::IWORKPresentationRedirector::closeParagraph | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeSection()

void libetonyek::IWORKPresentationRedirector::closeSection | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeSpan()

void libetonyek::IWORKPresentationRedirector::closeSpan | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTable()

void libetonyek::IWORKPresentationRedirector::closeTable | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTableCell()

void libetonyek::IWORKPresentationRedirector::closeTableCell | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTableRow()

void libetonyek::IWORKPresentationRedirector::closeTableRow | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeTextBox()

void libetonyek::IWORKPresentationRedirector::closeTextBox | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ closeUnorderedListLevel()

void libetonyek::IWORKPresentationRedirector::closeUnorderedListLevel | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineCharacterStyle()

void libetonyek::IWORKPresentationRedirector::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineChartStyle()

void libetonyek::IWORKPresentationRedirector::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineEmbeddedFont()

void libetonyek::IWORKPresentationRedirector::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineGraphicStyle()

void libetonyek::IWORKPresentationRedirector::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ definePageStyle()

void libetonyek::IWORKPresentationRedirector::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineParagraphStyle()

void libetonyek::IWORKPresentationRedirector::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineSectionStyle()

void libetonyek::IWORKPresentationRedirector::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ defineSheetNumberingStyle()

void libetonyek::IWORKPresentationRedirector::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawConnector()

void libetonyek::IWORKPresentationRedirector::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawEllipse()

void libetonyek::IWORKPresentationRedirector::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawGraphicObject()

void libetonyek::IWORKPresentationRedirector::drawGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawPath()

void libetonyek::IWORKPresentationRedirector::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawPolygon()

void libetonyek::IWORKPresentationRedirector::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawPolyline()

void libetonyek::IWORKPresentationRedirector::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ drawRectangle()

void libetonyek::IWORKPresentationRedirector::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endDocument()

void libetonyek::IWORKPresentationRedirector::endDocument | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endLayer()

void libetonyek::IWORKPresentationRedirector::endLayer | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endMasterSlide()

void libetonyek::IWORKPresentationRedirector::endMasterSlide | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endNotes()

void libetonyek::IWORKPresentationRedirector::endNotes | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endSlide()

void libetonyek::IWORKPresentationRedirector::endSlide | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ endTextObject()

void libetonyek::IWORKPresentationRedirector::endTextObject | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertAnimation()

void libetonyek::IWORKPresentationRedirector::insertAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertBinaryObject()

void libetonyek::IWORKPresentationRedirector::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertChartAxis()

void libetonyek::IWORKPresentationRedirector::insertChartAxis | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertColorAnimation()

void libetonyek::IWORKPresentationRedirector::insertColorAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertCoveredTableCell()

void libetonyek::IWORKPresentationRedirector::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertEffect()

void libetonyek::IWORKPresentationRedirector::insertEffect | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertEquation()

void libetonyek::IWORKPresentationRedirector::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertField()

void libetonyek::IWORKPresentationRedirector::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertLineBreak()

void libetonyek::IWORKPresentationRedirector::insertLineBreak | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertMotionAnimation()

void libetonyek::IWORKPresentationRedirector::insertMotionAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertSpace()

void libetonyek::IWORKPresentationRedirector::insertSpace | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertTab()

void libetonyek::IWORKPresentationRedirector::insertTab | ( |  | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ insertText()

void libetonyek::IWORKPresentationRedirector::insertText | ( | const librevenge::RVNGString & | text | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openAnimationGroup()

void libetonyek::IWORKPresentationRedirector::openAnimationGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openAnimationIteration()

void libetonyek::IWORKPresentationRedirector::openAnimationIteration | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openAnimationSequence()

void libetonyek::IWORKPresentationRedirector::openAnimationSequence | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChart()

void libetonyek::IWORKPresentationRedirector::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChartPlotArea()

void libetonyek::IWORKPresentationRedirector::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChartSeries()

void libetonyek::IWORKPresentationRedirector::openChartSeries | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openChartTextObject()

void libetonyek::IWORKPresentationRedirector::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openComment()

void libetonyek::IWORKPresentationRedirector::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openEndnote()

void libetonyek::IWORKPresentationRedirector::openEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openFooter()

void libetonyek::IWORKPresentationRedirector::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openFootnote()

void libetonyek::IWORKPresentationRedirector::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openFrame()

void libetonyek::IWORKPresentationRedirector::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openGroup()

void libetonyek::IWORKPresentationRedirector::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openHeader()

void libetonyek::IWORKPresentationRedirector::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openLink()

void libetonyek::IWORKPresentationRedirector::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openListElement()

void libetonyek::IWORKPresentationRedirector::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openOrderedListLevel()

void libetonyek::IWORKPresentationRedirector::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openPageSpan()

void libetonyek::IWORKPresentationRedirector::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openParagraph()

void libetonyek::IWORKPresentationRedirector::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openSection()

void libetonyek::IWORKPresentationRedirector::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openSpan()

void libetonyek::IWORKPresentationRedirector::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTable()

void libetonyek::IWORKPresentationRedirector::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTableCell()

void libetonyek::IWORKPresentationRedirector::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTableRow()

void libetonyek::IWORKPresentationRedirector::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openTextBox()

void libetonyek::IWORKPresentationRedirector::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ openUnorderedListLevel()

void libetonyek::IWORKPresentationRedirector::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ operator=()

IWORKPresentationRedirector & libetonyek::IWORKPresentationRedirector::operator= | ( | const IWORKPresentationRedirector & |  | ) |
| private

## ◆ setDocumentMetaData()

void libetonyek::IWORKPresentationRedirector::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ setStyle()

void libetonyek::IWORKPresentationRedirector::setStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startDocument()

void libetonyek::IWORKPresentationRedirector::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startLayer()

void libetonyek::IWORKPresentationRedirector::startLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startMasterSlide()

void libetonyek::IWORKPresentationRedirector::startMasterSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startNotes()

void libetonyek::IWORKPresentationRedirector::startNotes | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startSlide()

void libetonyek::IWORKPresentationRedirector::startSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## ◆ startTextObject()

void libetonyek::IWORKPresentationRedirector::startTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| overridevirtual

Implements libetonyek::IWORKDocumentInterface.

## Member Data Documentation

## ◆ m_iface

librevenge::RVNGPresentationInterface* const libetonyek::IWORKPresentationRedirector::m_iface
| private

Referenced by closeAnimationGroup(), closeAnimationIteration(), closeAnimationSequence(), closeChart(), closeChartPlotArea(), closeChartSeries(), closeChartTextObject(), closeComment(), closeGroup(), closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeUnorderedListLevel(), defineCharacterStyle(), defineChartStyle(), defineEmbeddedFont(), defineParagraphStyle(), drawConnector(), drawEllipse(), drawGraphicObject(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), endLayer(), endMasterSlide(), endNotes(), endSlide(), endTextObject(), insertAnimation(), insertChartAxis(), insertColorAnimation(), insertCoveredTableCell(), insertEffect(), insertField(), insertLineBreak(), insertMotionAnimation(), insertSpace(), insertTab(), insertText(), IWORKPresentationRedirector(), openAnimationGroup(), openAnimationIteration(), openAnimationSequence(), openChart(), openChartPlotArea(), openChartSeries(), openChartTextObject(), openComment(), openGroup(), openLink(), openListElement(), openOrderedListLevel(), openParagraph(), openSpan(), openTable(), openTableCell(), openTableRow(), openUnorderedListLevel(), setDocumentMetaData(), setStyle(), startDocument(), startLayer(), startMasterSlide(), startNotes(), startSlide(), and startTextObject().

The documentation for this class was generated from the following files:

- IWORKPresentationRedirector.h
- IWORKPresentationRedirector.cpp